curl --request POST \
--url https://api.sendx.io/api/v1/rest/contact/identify \
--header 'Content-Type: application/json' \
--header 'X-Team-ApiKey: <api-key>' \
--data '
{
"email": "john.doe@example.com"
}
'{
"status": "200",
"message": "OK"
}{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}{
"status": "error",
"message": "Request body is not in proper format"
}{
"status": "error",
"message": "Internal server error occurred"
}Getting Started
Identify contact
Endpoint for identifying contacts. Creates or updates a contact.
π― Key Features:
- Creates contact if doesnβt exist
- Updates if email already exists
- Supports custom fields, tags and lists
POST
/
contact
/
identify
curl --request POST \
--url https://api.sendx.io/api/v1/rest/contact/identify \
--header 'Content-Type: application/json' \
--header 'X-Team-ApiKey: <api-key>' \
--data '
{
"email": "john.doe@example.com"
}
'{
"status": "200",
"message": "OK"
}{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}{
"status": "error",
"message": "Request body is not in proper format"
}{
"status": "error",
"message": "Internal server error occurred"
}The Identify API Method is used to attach data to a visitor and manage contact creation or updates.
Example Request:
{
"email": "john.doe@gmail.com",
"firstName": "John",
"lastName": "Doe",
"birthday": "1989-03-03",
"customFields": {
"Designation": "Software Engineer",
"Age": "27",
"Experience": "5"
},
"tags": ["Developer", "API Team"]
}
- Tags and custom fields that do not exist are created automatically.
- Existing tags and custom fields are updated with the new data.
- Properties are additive: no data is removed based on subsequent Identify calls.
Authorizations
Team API key for authentication. Find your API key in SendX Settings β Team API Key.
Example:
X-Team-ApiKey: your_team_api_key_here
Body
application/json
Was this page helpful?